//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Diagnostics.CodeAnalysis;

[assembly :
	SuppressMessage("Microsoft.Design", "CA1062:ValidateArgumentsOfPublicMethods", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.ProviderDependencyAttribute..ctor(System.Type,System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1+IndexerCreationDelegate")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.Strategies.ReflectionStrategy`1.GetMembers(Microsoft.Practices.ObjectBuilder.IBuilderContext,System.Type,System.Object,System.String):System.Collections.Generic.IEnumerable`1<Microsoft.Practices.ObjectBuilder.IReflectionMemberInfo`1<TMemberInfo>>"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Utility.ListDictionary`2.#System.Collections.Generic.IDictionary`2<!0,System.Collections.Generic.List`1<!1>>.Add(!0,System.Collections.Generic.List`1<!1>)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.CompositionContainer.#GetMappedType`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.CompositionContainer.#RegisterTypeMapping`2()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IManagedObjectCollection`1.#AddNew`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IManagedObjectCollection`1.#AddNew`1(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IManagedObjectCollection`1.#FindByType`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew`2()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddOnDemand`2()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddOnDemand`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Contains`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get`1(System.Boolean)")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Remove`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#AddNew`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#AddNew`1(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#FindByType`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#Get`1(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetConstructor`1(System.Type[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetMethodInfo`1(System.String,System.Type[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetPropertyGetter`1(System.String,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetPropertySetter`1(System.String,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#AddNew`2()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#AddNew`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#AddOnDemand`2()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#AddOnDemand`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#Contains`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#Get`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#Get`1(System.Boolean)")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#Remove`1()")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderBase`1.#BuildUp`1(Microsoft.Practices.ObjectBuilder.IReadWriteLocator,System.String,System.Object,Microsoft.Practices.ObjectBuilder.PolicyList[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1004:GenericMethodsShouldProvideTypeParameter", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.WebClientApplication.#AddServiceIfMissing`2(Microsoft.Practices.CompositeWeb.CompositionContainer)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Services.ModuleLoaderService.#Load(Microsoft.Practices.CompositeWeb.CompositionContainer,Microsoft.Practices.CompositeWeb.Interfaces.IModuleInfo[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Utility.ListDictionary`2.#System.Collections.Generic.ICollection`1<System.Collections.Generic.KeyValuePair`2<!0,System.Collections.Generic.List`1<!1>>>.Contains(System.Collections.Generic.KeyValuePair`2<!0,System.Collections.Generic.List`1<!1>>)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Utility.ListDictionary`2.#System.Collections.Generic.ICollection`1<System.Collections.Generic.KeyValuePair`2<!0,System.Collections.Generic.List`1<!1>>>.CopyTo(System.Collections.Generic.KeyValuePair`2<!0,System.Collections.Generic.List`1<!1>>[],System.Int32)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Utility.ListDictionary`2.#System.Collections.Generic.ICollection`1<System.Collections.Generic.KeyValuePair`2<!0,System.Collections.Generic.List`1<!1>>>.IsReadOnly"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1033:InterfaceMethodsShouldBeCallableByChildTypes", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Utility.ListDictionary`2.#System.Collections.Generic.IDictionary`2<!0,System.Collections.Generic.List`1<!1>>.TryGetValue(!0,System.Collections.Generic.List`1<!1>&)"
		)]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Web.HttpSessionState.#Session")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1+IndexerCreationDelegate")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#System.Collections.ICollection.SyncRoot")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#System.Collections.ICollection.Count")]
[assembly :
	SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ServiceCollection.#System.Collections.ICollection.SyncRoot")]
[assembly :
	SuppressMessage("Microsoft.Globalization", "CA1309:UseOrdinalStringComparison",
		MessageId = "System.String.IndexOf(System.String,System.StringComparison)", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Services.ModuleContainerLocatorService.#GetContainer(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Globalization", "CA1309:UseOrdinalStringComparison",
		MessageId = "System.String.Equals(System.String,System.StringComparison)", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Services.ModuleContainerLocatorService.#GetMatch(System.Collections.Generic.List`1<Microsoft.Practices.CompositeWeb.Interfaces.IModuleInfo>,System.String)"
		)]
[assembly :
	SuppressMessage("Microsoft.Globalization", "CA1309:UseOrdinalStringComparison",
		MessageId = "System.String.Equals(System.String,System.String,System.StringComparison)", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Services.WebModuleEnumerator.#ValidateDuplicates(Microsoft.Practices.CompositeWeb.Configuration.ModulesConfigurationSection)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "buildUp",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.DynamicMethodBuildPlan.#.ctor(Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.BuildUpHandler)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "BuildUp",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.IBuildPlan.#BuildUp(Microsoft.Practices.ObjectBuilder.IBuilderContext,System.Type,System.Object,System.String)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "BuildUp",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.PlanBuilderStrategy.#BuildUp(Microsoft.Practices.ObjectBuilder.IBuilderContext,System.Type,System.Object,System.String,System.Reflection.Emit.ILGenerator)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "BuildUp", Scope = "type"
		, Target = "Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.BuildUpHandler")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "TearDown",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderBase`1.#TearDown`1(Microsoft.Practices.ObjectBuilder.IReadWriteLocator,!!0)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "t", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1+IndexerCreationDelegate")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "t", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Creation.IConstructorChooserPolicy.#ChooseConstructor(System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#HtmlDecode(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#HtmlDecode(System.String,System.IO.TextWriter)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#HtmlEncode(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#HtmlEncode(System.String,System.IO.TextWriter)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#UrlDecode(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#UrlDecode(System.String,System.IO.TextWriter)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#UrlEncode(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#UrlEncode(System.String,System.IO.TextWriter)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "s", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#UrlPathEncode(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "t", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Method.IMethodChooserPolicy.#GetMethods(System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Attr", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.IParameterResolver.#EmitParameterResolution(System.Reflection.Emit.ILGenerator,Microsoft.Practices.ObjectBuilder.ParameterAttribute,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "param", Scope = "member"
		,
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.IParameterResolver.#EmitParameterResolution(System.Reflection.Emit.ILGenerator,Microsoft.Practices.ObjectBuilder.ParameterAttribute,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "t", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Properties.IPropertyChooserPolicy.#GetInjectionProperties(System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "t", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#EmitLoadType(System.Reflection.Emit.ILGenerator,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "ctor", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetConstructor`1(System.Type[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "configurator",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilder.#.ctor(Microsoft.Practices.ObjectBuilder.IBuilderConfigurator`1<Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderStage>)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "configurator",
		Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderBase`1.#.ctor(Microsoft.Practices.ObjectBuilder.IBuilderConfigurator`1<!0>)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "WCSF", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilder")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "WCSF", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderBase`1")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "WCSF", Scope = "type",
		Target = "Microsoft.Practices.CompositeWeb.ObjectBuilder.WCSFBuilderStage")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "ID", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpServerUtility.#CreateObject(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew(System.Type)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew(System.Type,System.Type)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew`2()")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#AddNew`1()")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#AddNew(System.Type)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1711:IdentifiersShouldNotHaveIncorrectSuffix", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#AddNew(System.Type,System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix", MessageId = "T", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetConstructor`1(System.Type[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix", MessageId = "T", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetMethodInfo`1(System.String,System.Type[])"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix", MessageId = "T", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetPropertyGetter`1(System.String,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix", MessageId = "T", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ParameterResolver.#GetPropertySetter`1(System.String,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Set", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Interfaces.IPermissionsCatalog.#RegisterPermissionSet(Microsoft.Practices.CompositeWeb.Authorization.ModuleActionSet)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.IBuildPlanPolicy.#Get(System.Type)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Set", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.IBuildPlanPolicy.#Set(System.Type,Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.IBuildPlan)"
		)]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Error", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IHttpContext.#Error")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IManagedObjectCollection`1.#Get(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get(System.Type)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get(System.Type,System.Boolean)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get`1()")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords", MessageId = "Get", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Interfaces.IServiceCollection.#Get`1(System.Boolean)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1720:IdentifiersShouldNotContainTypeNames", MessageId = "obj", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.WebClientApplication.#BuildItemWithCurrentContext(System.Object)")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1721:PropertyNamesShouldNotMatchGetMethods", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Configuration.ServiceConfigurationElement.#Type")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1721:PropertyNamesShouldNotMatchGetMethods", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.ServiceDependencyAttribute.#Type")]
[assembly :
	SuppressMessage("Microsoft.Naming", "CA1721:PropertyNamesShouldNotMatchGetMethods", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Configuration.ServiceInfo.#Type")]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1800:DoNotCastUnnecessarily", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Configuration.ServiceConfigurationElementCollection.#GetElementKey(System.Configuration.ConfigurationElement)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1805:DoNotInitializeUnnecessarily", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Providers.ModuleSiteMapProvider.#.ctor()")]
[assembly :
	SuppressMessage("Microsoft.Usage", "CA1816:CallGCSuppressFinalizeCorrectly", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Authorization.WebClientAuthorizationModule.#Dispose()")]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Authorization.AuthorizationRulesService.#FixKey(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.BuilderStrategies.ContainerAwareTypeMappingPolicy.#GetCompositionContainerFromLocator(Microsoft.Practices.ObjectBuilder.IReadableLocator)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target = "Microsoft.Practices.CompositeWeb.Collections.ManagedObjectCollection`1.#NormalizeID(System.String)")]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.Strategies.ReflectionStrategy`1.#GetInjectionAttribute(System.Reflection.ParameterInfo)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.Services.ServiceLoaderService.#LoadService(Microsoft.Practices.CompositeWeb.CompositionContainer,Microsoft.Practices.CompositeWeb.Configuration.ServiceInfo)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.BuilderStrategies.SessionStateBindingStrategy.#SetFieldValue(System.Object,System.Reflection.FieldInfo,System.Web.SessionState.IHttpSessionState)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Properties.SetPropertiesStrategy.#EmitResolveProperty(System.Reflection.Emit.ILGenerator,System.Reflection.PropertyInfo)"
		)]
[assembly :
	SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Properties.SetPropertiesStrategy.#GetInjectionProperties(Microsoft.Practices.ObjectBuilder.IBuilderContext,System.Type,System.String)"
		)]
[assembly :
	SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ObjectBuilder.BuildPlan.DynamicMethodPlan.Parameters.ProviderDependencyParameterResolver.#EmitParameterResolution(System.Reflection.Emit.ILGenerator,Microsoft.Practices.ObjectBuilder.ParameterAttribute,System.Type)"
		)]
[assembly :
	SuppressMessage("Microsoft.Usage", "CA2208:InstantiateArgumentExceptionsCorrectly", Scope = "member",
		Target =
		"Microsoft.Practices.CompositeWeb.ProviderDependencyAttribute+ProviderDependencyParameter.#GetValue(Microsoft.Practices.ObjectBuilder.IBuilderContext)"
		)]
[assembly : SuppressMessage("Microsoft.Performance", "CA1824:MarkAssembliesWithNeutralResourcesLanguage")]