//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Collections.Generic;
using Microsoft.Practices.CompositeWeb.Authorization;

namespace Microsoft.Practices.CompositeWeb.Interfaces
{
	/// <summary>
	/// Defines a catalog of <see cref="ModuleActionSet"/> objects.
	/// </summary>
	public interface IPermissionsCatalog
	{
		/// <summary>
		/// Gets a <see cref="Dictionary{TKey,TValue}"/> with the registered modules.
		/// </summary>
		Dictionary<string, ModuleActionSet> RegisteredPermissions { get; }

		/// <summary>
		/// Registers a <see cref="ModuleActionSet"/> with the catalog.
		/// </summary>
		/// <param name="set">A <see cref="ModuleActionSet"/>.</param>
		void RegisterPermissionSet(ModuleActionSet set);
	}
}