//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using Microsoft.Practices.CompositeWeb.Configuration;

namespace Microsoft.Practices.CompositeWeb.Interfaces
{
	/// <summary>
	/// Declares a service which loads services into a <see cref="CompositionContainer"/>.
	/// </summary>
	public interface IServiceLoaderService
	{
		/// <summary>
		/// Loads the specified services into the given container.
		/// </summary>
		/// <param name="compositionContainer">The container into which create and add the configured services.</param>
		/// <param name="services">The list of services to load.</param>
		void Load(CompositionContainer compositionContainer, params ServiceInfo[] services);
	}
}