//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Web;

namespace Microsoft.Practices.CompositeWeb.Interfaces
{
	/// <summary>
	/// Defines a service to search for <see cref="SiteMapNode"/>
	/// </summary>
	public interface ISiteMapNodeLocator
	{
		/// <summary>
		/// Gets the root node of the <see cref="SiteMap"/>
		/// </summary>
		SiteMapNode RootNode { get; }

		/// <summary>
		/// Searches the <see cref="SiteMap"/> for a node with the specified key.
		/// </summary>
		/// <param name="key">The lookup key.</param>
		/// <returns>The <see cref="SiteMapNode"/> with the specified key, or <see langword="null"/>
		/// if there is no node with that key.</returns>
		SiteMapNode FindSiteMapNodeFromKey(string key);
	}
}