//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Web.SessionState;

namespace Microsoft.Practices.CompositeWeb.Interfaces
{
	/// <summary>
	/// Defines the contract for the values that should be stored in the session state.
	/// </summary>
	public interface IStateValue
	{
		/// <summary>
		/// Gets or sets the session state.
		/// </summary>
		IHttpSessionState SessionState { get; set; }

		/// <summary>
		/// Gets or sets the actual value from or to the session state.
		/// </summary>
		object Value { get; set; }

		/// <summary>
		/// Gets or sets the key of the value in the session state.
		/// </summary>
		string KeyName { get; set; }

		/// <summary>
		/// Sets the default value.
		/// </summary>
		void SetDefault();
	}
}