//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using Microsoft.Practices.CompositeWeb.Authorization;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Microsoft.Practices.CompositeWeb.Tests.Authorization
{
	[TestClass]
	public class ActionFixture
	{
		[TestMethod]
		public void CanInitializeWithFriendlyNameAndRuleName()
		{
			Action action = new Action("FriendlyName", "RuleName");

			Assert.AreEqual("FriendlyName", action.FriendlyName);
			Assert.AreEqual("RuleName", action.RuleName);
		}

		[TestMethod]
		public void CanChangeFriendlyNameAndRuleName()
		{
			Action action = new Action("FriendlyName", "RuleName");
			action.FriendlyName = "OtherFriendlyName";
			action.RuleName = "OtherRuleName";

			Assert.AreEqual("OtherFriendlyName", action.FriendlyName);
			Assert.AreEqual("OtherRuleName", action.RuleName);
		}
	}
}