//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using Microsoft.Practices.CompositeWeb.Authorization;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Microsoft.Practices.CompositeWeb.Tests
{
	/// <summary>
	/// Summary description for ModuleActionSetFixture
	/// </summary>
	[TestClass]
	public class ModuleActionSetFixture
	{
		[TestMethod]
		[ExpectedException(typeof (ArgumentNullException))]
		public void TestModuleNameMandatory()
		{
			ModuleActionSet set = new ModuleActionSet(null, null);
		}

		[TestMethod]
		public void TestActionsInitialized()
		{
			ModuleActionSet set = new ModuleActionSet("module", null);

			Assert.AreEqual("module", set.ModuleName);
			Assert.IsNotNull(set.Actions);
		}
	}
}