//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using Microsoft.Practices.CompositeWeb.Authorization;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Microsoft.Practices.CompositeWeb.Tests.Services
{
	/// <summary>
	/// Summary description for RolesCatalogFixture
	/// </summary>
	[TestClass]
	public class RolesCatalogFixture
	{
		[TestMethod]
		public void TestInitialization()
		{
			RolesCatalog catalog = new RolesCatalog();

			Assert.IsNotNull(catalog.Roles);
		}

		[TestMethod]
		public void TestLoadRoles()
		{
			RolesCatalog catalog = new RolesCatalog();
			catalog.LoadRoles(new string[] {"role1", "role2"});

			Assert.AreEqual(2, catalog.Roles.Count);
			Assert.IsTrue(catalog.Roles.Contains("role1"));
			Assert.IsTrue(catalog.Roles.Contains("role2"));
		}
	}
}