//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using Microsoft.Practices.CompositeWeb.Interfaces;

namespace Microsoft.Practices.CompositeWeb.Tests.Mocks
{
	public class MockAuthorizationService : IAuthorizationService
	{
		public string LastContext = null;
		public string LastRole = null;
		public bool ShouldAuthorize = true;

		#region IAuthorizationService Members

		public bool IsAuthorized(string context)
		{
			LastContext = context;

			if (String.IsNullOrEmpty(context))
			{
				return true;
			}
			return ShouldAuthorize;
		}

		public bool IsAuthorized(string role, string context)
		{
			LastRole = role;
			LastContext = context;
			if (String.IsNullOrEmpty(context))
			{
				return true;
			}
			return ShouldAuthorize;
		}

		#endregion
	}
}