//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using Microsoft.Practices.CompositeWeb.Interfaces;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Microsoft.Practices.CompositeWeb.Tests
{
	[TestClass]
	public class ModuleInitializerFixture
	{
		[TestMethod]
		[ExpectedException(typeof (ArgumentNullException))]
		public void LoadThrowsIfNullContainer()
		{
			new TestableModuleInitializer().Load(null);
		}

		[TestMethod]
		public void ModuleInitializerImplementsIModuleInitializer()
		{
			Assert.IsTrue(new TestableModuleInitializer() is IModuleInitializer);
		}
	}

	internal class TestableModuleInitializer : ModuleInitializer
	{
	}
}