//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

namespace Microsoft.Practices.Web.UI.WebControls.Properties {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Microsoft.Practices.Web.UI.WebControls.Properties.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The argument &apos;{0}&apos; cannot be negative.
        /// </summary>
        internal static string CannotBeNegative {
            get {
                return ResourceManager.GetString("CannotBeNegative", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot convert value of parameter &apos;{0}&apos; from &apos;{1}&apos; to &apos;{2}&apos;.
        /// </summary>
        internal static string CannotConvertType {
            get {
                return ResourceManager.GetString("CannotConvertType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot get type. Error: {0}.
        /// </summary>
        internal static string CannotGetType {
            get {
                return ResourceManager.GetString("CannotGetType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot refresh schema. Error: {0}.
        /// </summary>
        internal static string CannotRefreshSchema {
            get {
                return ResourceManager.GetString("CannotRefreshSchema", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The DataObjectTypeName was not set.
        /// </summary>
        internal static string DataObjectTypeNameNotSet {
            get {
                return ResourceManager.GetString("DataObjectTypeNameNotSet", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Data object type with name &apos;{0}&apos; was not found.
        /// </summary>
        internal static string DataObjectTypeNotFound {
            get {
                return ResourceManager.GetString("DataObjectTypeNotFound", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot create an instance of the type &apos;{0}&apos; because it does not provide a public parameterless constructor.
        /// </summary>
        internal static string DefaultConstructorMissing {
            get {
                return ResourceManager.GetString("DefaultConstructorMissing", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to DefaultView.
        /// </summary>
        internal static string DefaultViewName {
            get {
                return ResourceManager.GetString("DefaultViewName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Configure Data Source: {0}.
        /// </summary>
        internal static string FormTitle {
            get {
                return ResourceManager.GetString("FormTitle", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid object type. Expected &apos;{0}&apos; but got &apos;{1}&apos;.
        /// </summary>
        internal static string InvalidObjectType {
            get {
                return ResourceManager.GetString("InvalidObjectType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid sorting expression. No property found with the name &apos;{0}&apos;.
        /// </summary>
        internal static string InvalidPropertyInSortingExpression {
            get {
                return ResourceManager.GetString("InvalidPropertyInSortingExpression", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Using server paging but the TotalRowCount property was not set. Please set the TotalRowCount property before executing a select operation.
        /// </summary>
        internal static string InvalidServerPagingSettings {
            get {
                return ResourceManager.GetString("InvalidServerPagingSettings", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid sorting expression &apos;{0}&apos;.
        /// </summary>
        internal static string InvalidSortingExpression {
            get {
                return ResourceManager.GetString("InvalidSortingExpression", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid StartRowIndex: &apos;{0}&apos;.
        /// </summary>
        internal static string InvalidStartRowIndex {
            get {
                return ResourceManager.GetString("InvalidStartRowIndex", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid view name.
        /// </summary>
        internal static string InvalidViewName {
            get {
                return ResourceManager.GetString("InvalidViewName", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to No keys specified for the current object data type.
        /// </summary>
        internal static string NoKeysSpecified {
            get {
                return ResourceManager.GetString("NoKeysSpecified", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Property &apos;{0}&apos; does not implement IComparable.
        /// </summary>
        internal static string PropertyDoesNotImplementIComparable {
            get {
                return ResourceManager.GetString("PropertyDoesNotImplementIComparable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The property &apos;{0}&apos; is read only.
        /// </summary>
        internal static string PropertyIsReadOnly {
            get {
                return ResourceManager.GetString("PropertyIsReadOnly", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The property &apos;{0}&apos; was not found in the object data type.
        /// </summary>
        internal static string PropertyNotFoundInType {
            get {
                return ResourceManager.GetString("PropertyNotFoundInType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Please select the Data Object Type:.
        /// </summary>
        internal static string SelectDataObjectTypeLabelText {
            get {
                return ResourceManager.GetString("SelectDataObjectTypeLabelText", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to The StartRowIndex &apos;{0}&apos; is out of range. Current item count is &apos;{1}&apos;.
        /// </summary>
        internal static string StartRowIndexOutOfRange {
            get {
                return ResourceManager.GetString("StartRowIndexOutOfRange", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Using server paging but Selecting event was not handled. To use server paging please handle the Selecting event to set the &apos;DataSource&apos; property..
        /// </summary>
        internal static string UsingServerPagingAndSelectingEventNotHandled {
            get {
                return ResourceManager.GetString("UsingServerPagingAndSelectingEventNotHandled", resourceCulture);
            }
        }
    }
}
