//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.RecipeFramework.Extensions.References;
using Microsoft.Practices.Common;
using System.Collections.Specialized;
using System.Runtime.Serialization;
using System.Globalization;
using Microsoft.Practices.RecipeFramework.VisualStudio.Templates;

namespace Microsoft.Practices.WebClientFactory.References
{
    [Serializable]
    public class ModuleTemplateReference : UnboundTemplateReference
    {

        public ModuleTemplateReference(string recipe)
            : base(recipe)
        {
            
        }

        protected ModuleTemplateReference(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {

        }


        public override bool IsEnabledFor(object target)
        {
            return true;
        }

        public override string AppliesTo
        {
            get
            {
                return "Any solution folder or the solution root";
            }
        }
    }
}
