//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================


using System;
using System.Collections.Generic;
using System.Text;

namespace GlobalBank.Commercial.EBanking.Modules.Admin.BussinesEntities
{
    public class ModulePermission
    {
        private string _actionName;
        private string _moduleName;
        private Dictionary<string, bool> _permissions;

        public ModulePermission(string moduleName, string ruleName, Dictionary<string, bool> permissions)
        {
            _moduleName = moduleName;
            _actionName = ruleName;
            _permissions = permissions;
        }

        public string ActionName
        {
            get { return _actionName; }
        }

        public string ModuleName
        {
            get { return _moduleName; }
        }

        public Dictionary<string, bool> Permissions
        {
            get { return _permissions; }
        }
    }
}
