//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================


using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace GlobalBank.Commercial.EBanking.Modules.EFT.Views
{
    public class SummaryViewPresenter : Presenter<ISummaryView>
    {
        private EFTController _controller;

        public SummaryViewPresenter([CreateNew] EFTController controller)
        {
            _controller = controller;
        }

        public override void OnViewInitialized()
        {
            View.Transfers = _controller.GetTransfers();
			this._controller.FundsTransferComplete();
        }
    }
}
