//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================


using System;
using System.Collections.Generic;
using System.Text;
using GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.Services;

namespace GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.AccountService
{
    public class AccountServiceProxy : ServiceProxy<IAccountService>, IAccountServiceProxy
    {
        public AccountServiceProxy() : base(new AccountService())
        {

        }

        public GetAccountResponseType GetAccounts(GetAccountRequestType request)
        {
			return Service.GetAccounts(request);
        }

        public void CreateAccount(CreateAccountRequestType request)
        {
            Service.CreateAccount(request);
        }

        public ProcessTransfersResponseType ProcessTransfers(ProcessTransfersRequestType request)
        {
            return Service.ProcessTransfers(request);
        }
    }
}
