//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================


using System;
using System.Collections.Generic;
using System.Text;
using GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.Services;
using GlobalBank.Commercial.EBanking.Modules.EFT.BusinessEntities;
using GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.AccountService;

namespace GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.EntityTranslators
{
	public class ProcessTransferResponseTypeTranslator : EntityMapperTranslator<Transfer[], GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.AccountService.ProcessTransfersResponseType>
    {
		protected override GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.AccountService.ProcessTransfersResponseType BusinessToService(IEntityTranslatorService service, Transfer[] value)
        {
            ProcessTransfersResponseType to = new ProcessTransfersResponseType();
            to.processedAccounts = service.Translate<TransferTableEntry[]>(value);
            return to;
        }

		protected override Transfer[] ServiceToBusiness(IEntityTranslatorService service, GlobalBank.Commercial.EBanking.Modules.EFT.ServiceProxies.AccountService.ProcessTransfersResponseType value)
        {
            Transfer[] to = service.Translate<Transfer[]>(value.processedAccounts);
            return to;
        }
    }
}
