//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================


using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeWeb;
using Microsoft.Practices.CompositeWeb.ObjectBuilder;
using Microsoft.Practices.ObjectBuilder;

namespace GlobalBank.Commercial.EBanking.Modules.EFT.Tests.Mocks
{
	class MockRootCompositionContainer : CompositionContainer
	{
		public WCSFBuilder CreatedBuilder;
		
		public MockRootCompositionContainer()
		{
			InitializeRootContainer(CreateBuilder());
		}

		private WCSFBuilder CreateBuilder()
		{
			WCSFBuilder builder = new WCSFBuilder();
			CreatedBuilder = builder;
			
			builder.Policies.SetDefault<ISingletonPolicy>(new SingletonPolicy(true));
			return builder;
		}
	}
}
