//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using MVPQuickstart.Contacts.Repository;
using MVPQuickstart.Contacts.Services;
using System.Web.UI.WebControls;

namespace MVPQuickstart.Contacts.Views
{
    public class ContactsListPresenter
    {
        private IContactsListView _view;
        private IContactsController _controller;

        public ContactsListPresenter(IContactsListView view,
                                    IContactsController controller)
        {
            _view = view;
            _controller = controller;
        }

        public IContactsController Controller
        {
            get { return _controller; }
        }

        public virtual void OnViewInitialized()
        {
        }

        public virtual void OnViewLoaded()
        {
            _controller.RestoreFromPersistedState(_view.SelectedIndex);
        }

        public void OnSelectedIndexChanged()
        {
            _controller.SetSelectedContactIndex(_view.SelectedIndex);
        }

        public void OnCreatingDataSource(ObjectDataSourceEventArgs e)
        {
            if (e == null)
                throw new ArgumentNullException("e");

            e.ObjectInstance = _controller;
        }
    }
}




