//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using MVPQuickStart.FunctionalTests.Entities;

namespace MVPQuickStart.FunctionalTests
{
    public class TestDataRepository : ITestDataRepository
    {
        #region ITestDataRepository Members

           


        private Dictionary<string, Contact> contactBag;
		
		public TestDataRepository()
		{
			contactBag = new Dictionary<string, Contact>();
            InitializeContacts();
        }

		public Dictionary<string, Contact> GetAllContacts()
		{
            return contactBag;
		}


        public Contact GetContact(string key)
		{
            if (contactBag.ContainsKey(key))
                return contactBag[key];
            else
                return null;
		}


        public void InitializeContacts()
        {
            Contact newContact;

            newContact = new Contact();
            newContact.Name = "Around the Horn";
            newContact.Address = "2190 Polk St. Suite 5";
            newContact.City = "San Francisco";
            newContact.State = "California";
            newContact.Zip = "94117";
            contactBag.Add("TestContact", newContact);
            
            newContact = new Contact();
            newContact.Name = "Bon app'";
            newContact.Address = "P.O. Box 187";
            newContact.City = "Lander";
            newContact.State = "Wyoming";
            newContact.Zip = "82520";
            contactBag.Add("AnotherTestContact", newContact);

                                    
            newContact = new Contact();
            newContact.Name = "New Company Name";
            newContact.Address = "New Address";
            newContact.City = "Seattle";
            newContact.State = "Washington";
            newContact.Zip = "98004";
            contactBag.Add("NewTestContact", newContact);


            newContact = new Contact();
            newContact.Name = "XYZ";
            newContact.Address = "YYYY";
            newContact.City = "ZZZZZ";
            newContact.State = "AAAAAA";
            newContact.Zip = "11101";
            contactBag.Add("AnotherNewTestContact", newContact);           
        }

        #endregion
    }
}
