//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using MVPWithCWABQuickStart.Contacts.BusinessEntities;
using System.Collections.Generic;

namespace MVPWithCWABQuickStart.Contacts
{
    public interface IContactsController
    {
        event EventHandler CurrentCustomerChanged;

        // Wrapped the existing property with a method as ObjectDatasource is expecting
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate",Justification="Required by the platform.")]
        IList<Customer> GetCustomers();
        Customer CurrentCustomer { get;}
        void SetSelectedContactIndex(int selectedContactIndex);
        void RestoreFromPersistedState(int selectedIndex);
        void UpdateCurrentCustomer(Customer customer);
    }
}
