//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;

namespace ModularityQuickstart.Customers.BusinessEntities
{
    [Serializable]
    public class Customer
    {
        private string _name;
        private string _lastName;
        private int _id;
        private bool _approved;
        
        public Customer()
        {

        }

        public Customer(int id, string name, string lastName, bool approved)
        {
            _id = id;
            _name = name;
            _lastName = lastName;
            _approved = approved;
        }
        
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; }
        }

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public bool Approved
        {
            get { return _approved; }
            set { _approved = value; }
        }
    }
}
