//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using Microsoft.Practices.CompositeWeb;
using Microsoft.Practices.ObjectBuilder;

namespace ModularityQuickstart.Customers.Views
{
    public class SummaryViewPresenter : Presenter<ISummaryView>
    {
        private ICustomersController _controller;
        
        public SummaryViewPresenter([CreateNew] ICustomersController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            View.Customer = _controller.CurrentCustomer;
        }

        public void OnApproveAnotherCustomer()
        {
            _controller.ApproveAnotherCustomer();
        }
    }
}
