//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using ModularityQuickstart.Customers;
using ModularityQuickstart.Customers.BusinessEntities;

namespace ModularityQuickstart.Customers.Tests.Mocks
{
    internal class MockCustomersController : ICustomersController
    {
        public Customer InnerCurrentCustomer = null;
        public bool ApproveCurrentCustomerCalled = false;
        public bool ApproveAnotherCustomerCalled = false;
        public bool CurrentCustomerRetrieved = false;

        public Customer CurrentCustomer
        {
            get 
            {
                CurrentCustomerRetrieved = true; 
                return InnerCurrentCustomer;
            }
        }

        public void ApproveCurrentCustomer()
        {
            ApproveCurrentCustomerCalled = true;
        }

        public void ApproveAnotherCustomer()
        {
            ApproveAnotherCustomerCalled = true;
        }
    }
}
