using Microsoft.Practices.CompositeWeb;
using Microsoft.Practices.CompositeWeb.Interfaces;

namespace ObjectContainerDataSourceQuickstart.Modules.Customers
{
    public class CustomersModuleInitializer : ModuleInitializer
    {
        public override void Load(CompositionContainer moduleContainer)
        {
            base.Load(moduleContainer);

            RegisterSiteMapInformation(moduleContainer.Services.Get<ISiteMapBuilderService>(true));
        }

        protected virtual void RegisterSiteMapInformation(ISiteMapBuilderService siteMapBuilderService)
        {
            SiteMapNodeInfo moduleRootNode = new SiteMapNodeInfo("Customers", null, "Customers");
            SiteMapNodeInfo customersSimpleViewNode = new SiteMapNodeInfo("CustomersSimpleView", "~/Customers/CustomersSimpleView.aspx", "Customers (simple)", "Shows simple usage patterns of the ObjectContainerDataSource control, including select/update/insert/delete operations with sorting and paging provided by the control");
            SiteMapNodeInfo customersAdvancedViewNode = new SiteMapNodeInfo("CustomersAdvancedView", "~/Customers/CustomersAdvancedView.aspx", "Customers (advanced)", "Shows advanced usage patterns of the ObjectContainerDataSource control, including select/update/insert/delete operations and server-side sorting and paging");
            siteMapBuilderService.AddNode(moduleRootNode);
            siteMapBuilderService.AddNode(customersSimpleViewNode, moduleRootNode);
            siteMapBuilderService.AddNode(customersAdvancedViewNode, moduleRootNode);
        }
    }
}
