using Microsoft.Practices.CompositeWeb;
using Microsoft.Practices.ObjectBuilder;
using ObjectContainerDataSourceQuickstart.Modules.Customers.BusinessEntities;

namespace ObjectContainerDataSourceQuickstart.Modules.Customers.Views.CustomersAdvancedView
{
    public class CustomersAdvancedViewPresenter : Presenter<ICustomersAdvancedView>
    {
        private CustomersController _controller;

        public CustomersAdvancedViewPresenter([CreateNew] CustomersController controller)
        {
            _controller = controller;
        }

        public void OnCustomerInserted(Customer customer)
        {
            _controller.AddCustomer(customer);
        }

        public void OnCustomerDeleted(Customer customer)
        {
            _controller.DeleteCustomer(customer);
        }

        public void OnCustomerUpdated(Customer customer)
        {
            _controller.UpdateCustomer(customer);
        }

        // <snippet id="OnSelecting">
        public void OnSelecting(int startRowIndex, int maximumRows, string sortExpression)
        {
            View.Customers = _controller.GetCustomers(startRowIndex, maximumRows, sortExpression);
            View.TotalCustomersCount = _controller.CustomersTotalCount;
        }
        // </snippet>
    }
}
