using Microsoft.Practices.CompositeWeb;
using Microsoft.Practices.ObjectBuilder;
using ObjectContainerDataSourceQuickstart.Modules.Customers.BusinessEntities;

namespace ObjectContainerDataSourceQuickstart.Modules.Customers.Views.CustomersSimpleView
{
    public class CustomersSimpleViewPresenter : Presenter<ICustomersSimpleView>
    {
        private CustomersController _controller;

        public CustomersSimpleViewPresenter([CreateNew] CustomersController controller)
        {
            _controller = controller;
        }

        // <snippet id="CustomersSimpleViewPresenter_CustomersIDU">
        public void OnCustomerInserted(Customer customer)
        {
            _controller.AddCustomer(customer);
        }

        public void OnCustomerDeleted(Customer customer)
        {
            _controller.DeleteCustomer(customer);
        }

        public void OnCustomerUpdated(Customer customer)
        {
            _controller.UpdateCustomer(customer);
        }
        // </snippet>

        // <snippet id="CustomersSimpleViewPresenter_OnViewLoaded">
        public override void OnViewLoaded()
        {
            View.Customers = _controller.GetCustomers();
        }
        // </snippet>
    }
}
