<%@ Page Language="C#" MasterPageFile="~/Shared/QuickStarts.master" Title="Customers (simple) - ObjectContainerDataSource Quickstart" AutoEventWireup="true" Inherits="Customers_CustomersSimpleView" Codebehind="CustomersSimpleView.aspx.cs" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="mainContent" runat="Server">
    <p style="color: Gray"><i>This page demonstrates the default behavior for paging and sorting. With the default settings, the ObjectContainerDataSource control contains
    the entire collection of items and performs paging and sorting.</i></p>
    <h2>New Customer</h2>
    <asp:FormView ID="FormView1" DefaultMode="Insert" runat="server" DataSourceID="CustomersDataSource">
        <InsertItemTemplate>
            Name:<br />
            <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>'/><br />
            Last Name:<br />
            <asp:TextBox ID="LastNameTextBox" runat="server" Text='<%# Bind("LastName") %>'/><br />
            Status:<br />
            <asp:DropDownList ID="CustomerStatusDropDown" SelectedValue='<%# Bind("Status") %>' runat="server">
                <asp:ListItem Value="Approved" Text="Approved" />
                <asp:ListItem Value="Pending" Text="Pending" />
                <asp:ListItem Value="Rejected" Text="Rejected" />
            </asp:DropDownList><br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                Text="Insert">
            </asp:LinkButton>
            <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                Text="Cancel">
            </asp:LinkButton>
        </InsertItemTemplate>
    </asp:FormView>
    <h2>Customers List</h2>
    <asp:GridView Width="400px" ID="GridView1" AllowSorting="True" runat="server" DataSourceID="CustomersDataSource" AutoGenerateColumns="False" EmptyDataText="No customers to display." AllowPaging="True" PageSize="4" AutoGenerateDeleteButton="True" AutoGenerateEditButton="True" DataKeyNames="Id">
        <Columns>
            <asp:BoundField ReadOnly="true" DataField="Id" HeaderText="Id" SortExpression="Id" >
                <ControlStyle Width="60px" />
            </asp:BoundField>
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" >
                <ControlStyle Width="60px" />
            </asp:BoundField>
            <asp:BoundField DataField="LastName" HeaderText="Last Name" SortExpression="LastName" >
                <ControlStyle Width="60px" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="Status" SortExpression="Status">
                <EditItemTemplate>
                    <asp:DropDownList ID="CustomerStatusDropDown" SelectedValue='<%# Bind("Status") %>' runat="server">
                        <asp:ListItem Value="Approved" Text="Approved" />
                        <asp:ListItem Value="Pending" Text="Pending" />
                        <asp:ListItem Value="Rejected" Text="Rejected" />
                    </asp:DropDownList>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="CustomerStatusLabel" Text='<%# Eval("Status") %>' runat="server" />
                </ItemTemplate>
                <ControlStyle Width="60px" />
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <pp:ObjectContainerDataSource ID="CustomersDataSource" runat="server" DataObjectTypeName="ObjectContainerDataSourceQuickstart.Modules.Customers.BusinessEntities.Customer" OnDeleted="CustomersDataSource_Deleted" OnInserted="CustomersDataSource_Inserted" OnUpdated="CustomersDataSource_Updated" />
</asp:Content>