//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using OrderManagement.FunctionalTests.BrowserLayer.Pages;

namespace OrderManagement.FunctionalTests.BrowserLayer.Actions
{
	/// <summary>
	/// Summary description for OrderDetailsPageActions
	/// </summary>    
	public class PreviewOrderPageActions
	{
		public PreviewOrderPageActions()
		{
		}

		private static PreviewOrderPage page;

		public static PreviewOrderPage TargetPage
		{
			get { return page; }
			set
			{
				page = value;
				page.ValidateLocation();
			}
		}


		public static void SubmitOrder()
		{
			TestInfrastructure.GetDialogWatcher().Add(page.SubmitOrderDialog);
			page.SubmitButton.Click();
		}

		public static void CancelSubmitOrder()
		{
			page.SubmitButton.Click();
			TestInfrastructure.GetDialogWatcher().Add(page.CancelSubmitOrderDialog);
		}

		public static void EditOrder()
		{
			page.PreviousButton.Click();
		}
	}
}