//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Threading;
using OrderManagement.FunctionalTests.BrowserLayer.Pages;
using WatiN.Core;

namespace OrderManagement.FunctionalTests.BrowserLayer.Actions
{
	/// <summary>
	/// Summary description for OrderDetailsPageActions
	/// </summary>    
	public class SearchOrderPageActions
	{
		public SearchOrderPageActions()
		{
		}

		private static SearchOrderPage page;

		public static SearchOrderPage TargetPage
		{
			get { return page; }
			set
			{
				page = value;
				page.ValidateLocation();
			}
		}


		public static void SetSearchText(string searchText)
		{
			page.SearchBox.TypeText(searchText);
			Thread.Sleep(50);
		}

		public static void Search()
		{
			page.SearchButton.Click();
		}

		public static void ShowOrderDetails(string orderName, string Description, string totalAmount, string orderStatus)
		{
			page.ResultsGrid.Initialize();
			foreach (Dictionary<string, Element> row in page.ResultsGrid.Rows)
			{
				if (String.Compare(row["OrderName"].Text.Trim(), orderName, true) == 0
				    && String.Compare(row["Amount"].Text.Trim(), "$" + totalAmount, true) == 0
				    && String.Compare(row["Status"].Text.Trim(), orderStatus, true) == 0
				    && String.Compare(row["Description"].Text.Trim(), Description, true) == 0)
				{
					row["ShowOrderDetails"].Click();
					Thread.Sleep(500);
					break;
				}
			}
		}

		public static void HideOrderDetails()
		{
			page.DetailsPanel.Initialize();
			page.DetailsPanel.CloseButton.Click();
			Thread.Sleep(100);
		}
	}
}