//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using WatiN.Core;

namespace OrderManagement.FunctionalTests.BrowserLayer.Pages
{
	public class ConfirmationPage : MasterPage
	{
		public ConfirmationPage()
			: base()
		{
		}

		private Span confirmationMessageLabelControl;

		public Span ConfirmationMessageLabel
		{
			get { return confirmationMessageLabelControl; }
		}

		private Link createOrderLinkControl;

		public Link CreateOrderLink
		{
			get { return createOrderLinkControl; }
		}

		private Link ordersHomeLinkControl;

		public Link ordersHomeLink
		{
			get { return ordersHomeLinkControl; }
		}

		public override void Initialize()
		{
			confirmationMessageLabelControl =
				TestInfrastructure.GetBrowserInstance().Span(
					TestInfrastructure.GetRegexAttributeValue(
						"ConfirmationMessage"));

			createOrderLinkControl =
				TestInfrastructure.GetBrowserInstance().Link(
					TestInfrastructure.GetRegexAttributeValue(
						"CreateOrderButton"));

			ordersHomeLinkControl =
				TestInfrastructure.GetBrowserInstance().Link(
					TestInfrastructure.GetRegexAttributeValue(
						"HomeLink"));

			base.Initialize();
		}

		public override string BuildURL()
		{
			return "http://localhost:54009/DevelopmentWebsite/Orders/OrderEntry.aspx";
		}
	}
}