//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using WatiN.Core;

namespace OrderManagement.FunctionalTests.BrowserLayer.Pages
{
	public class LoginPage : MasterPage
	{
		public LoginPage() : base()
		{
		}


		private TextField userNameBoxControl = null;

		public TextField UserNameBox
		{
			get { return userNameBoxControl; }
		}

		private TextField passwrdBoxControl = null;

		public TextField PasswordBox
		{
			get { return passwrdBoxControl; }
		}

		private Button loginButtonControl = null;

		public Button LoginButton
		{
			get { return loginButtonControl; }
		}


		public override void Initialize()
		{
			base.Initialize();

			userNameBoxControl =
				TestInfrastructure.GetBrowserInstance().TextField(TestInfrastructure.GetRegexAttributeValue("UserName"));

			passwrdBoxControl =
				TestInfrastructure.GetBrowserInstance().TextField(TestInfrastructure.GetRegexAttributeValue("Password"));

			loginButtonControl =
				TestInfrastructure.GetBrowserInstance().Button(TestInfrastructure.GetRegexAttributeValue("LoginButton"));
		}

		public override string BuildURL()
		{
			return "http://localhost:54009/DevelopmentWebsite/Login.aspx";
		}
	}
}