//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using WatiN.Core;

namespace OrderManagement.FunctionalTests.BrowserLayer.Pages
{
	public class MasterPage : Page
	{
		public MasterPage()
			: base()
		{
		}

		private Link homeLinkControl = null;

		public Link HomeLink
		{
			get { return homeLinkControl; }
		}

		private Link ordersLinkControl = null;

		public Link OrdersLink
		{
			get { return ordersLinkControl; }
		}

		private Link createNewOrderLinkControl = null;

		public Link CreateNewOrderLink
		{
			get { return createNewOrderLinkControl; }
		}

		private Link mySavedDraftsLinkControl = null;

		public Link MySavedDraftsLink
		{
			get { return mySavedDraftsLinkControl; }
		}


		private Link myApprovalsLinkControl = null;

		public Link MyApprovalsLink
		{
			get { return myApprovalsLinkControl; }
		}

		private Link searchOrdersLinkControl = null;

		public Link SearchOrdersLink
		{
			get { return searchOrdersLinkControl; }
		}


		private Link customersLinkControl = null;

		public Link CustomersLink
		{
			get { return customersLinkControl; }
		}


		private Link searchCustomersLinkControl = null;

		public Link SearchCustomersLink
		{
			get { return searchCustomersLinkControl; }
		}


		private Link loginStatusLinkControl = null;

		public Link LoginStatusLink
		{
			get { return loginStatusLinkControl; }
		}


		public override void Initialize()
		{
			if (
				TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt7")).
					Exists)
			{
				homeLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt0"));

				ordersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt1"));

				createNewOrderLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt2"));

				mySavedDraftsLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt3"));


				myApprovalsLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt4"));

				searchOrdersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt5"));

				customersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt6"));

				searchCustomersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt7"));
			}
			else
			{
				homeLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt0"));

				ordersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt1"));

				createNewOrderLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt2"));

				mySavedDraftsLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt3"));

				searchOrdersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt4"));

				customersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt5"));

				searchCustomersLinkControl =
					TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("NavigationTreeViewt6"));
			}


			loginStatusLinkControl =
				TestInfrastructure.GetBrowserInstance().Link(TestInfrastructure.GetRegexAttributeValue("LoginStatus1"));
		}
	}
}