//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using WatiN.Core;

namespace OrderManagement.FunctionalTests.BrowserLayer.Pages
{
	public abstract class Page
	{
		public Dictionary<string, Element> ControlBag = new Dictionary<string, Element>();

		public Page()
		{
			Initialize();
		}

		public string URL
		{
			get { return BuildURL(); }
		}

		public virtual void Initialize()
		{
		}

		public virtual void Navigate()
		{
			TestInfrastructure.GetBrowserInstance().GoTo(BuildURL());
		}

		public virtual bool ValidateLocation()
		{
			return (String.Compare(TestInfrastructure.GetBrowserInstance().Url, BuildURL()) == 0);
		}


		public virtual string BuildURL()
		{
			return String.Empty;
		}
	}
}