//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Threading;
using OrderManagement.FunctionalTests.BrowserLayer.Actions;
using OrderManagement.FunctionalTests.BrowserLayer.Pages;
using OrderManagement.FunctionalTests.UseCaseLayer.Entities;

namespace OrderManagement.FunctionalTests.UseCaseLayer.Actions
{
	public class LoginActions
	{
		public static void Login(UserDetails userDetails)
		{
			MasterPage page = new MasterPage();

			if (String.Compare(page.LoginStatusLink.Text, "Logout") == 0)
			{
				return;
			}

			page.LoginStatusLink.Click();

			LoginPage loginpage = new LoginPage();
			LoginPageActions.TargetPage = loginpage;
			LoginPageActions.SetUserName(userDetails.UserName);
			LoginPageActions.SetPassWord(userDetails.Password);
			LoginPageActions.Login();
		}


		public static void Logout()
		{
			Thread.Sleep(500);
			MasterPage page = new MasterPage();

			if (String.Compare(page.LoginStatusLink.Text, "Logout") == 0)
			{
				page.LoginStatusLink.Click();
			}
		}
	}
}