//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Threading;
using OrderManagement.FunctionalTests.BrowserLayer.Actions;
using OrderManagement.FunctionalTests.BrowserLayer.Pages;

namespace OrderManagement.FunctionalTests.UseCaseLayer.Actions
{
	public class SearchOrderActions
	{
		public SearchOrderActions()
		{
		}

		public static void StartSearchOrder()
		{
			MasterPage page = new MasterPage();
			page.SearchOrdersLink.Click();
			Thread.Sleep(100);
		}


		public static void SearchOrder(string searchQuery)
		{
			SearchOrderPage searchPage = new SearchOrderPage();
			SearchOrderPageActions.TargetPage = searchPage;
			SearchOrderPageActions.SetSearchText(searchQuery);
			SearchOrderPageActions.Search();
		}
	}
}