//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using OrderManagement.FunctionalTests.BrowserLayer.Actions;
using OrderManagement.FunctionalTests.BrowserLayer.Assertions;
using OrderManagement.FunctionalTests.BrowserLayer.Pages;
using OrderManagement.FunctionalTests.UseCaseLayer.Entities;

namespace OrderManagement.FunctionalTests.UseCaseLayer.Assertions
{
	/// <summary>
	/// Summary description for SearchOrderAssertions
	/// </summary>   
	public class SearchOrderAssertions
	{
		public SearchOrderAssertions()
		{
		}

		public static void AssertOrderExistsInSearchResults(Order orderToValidate)
		{
			SearchOrderPage searchPage = new SearchOrderPage();
			SearchOrderPageAssertions.TargetPage = searchPage;
			SearchOrderPageAssertions.AssertSearchResultsCount(1);
			SearchOrderPageAssertions.AssertSearchResult(orderToValidate.OrderName, orderToValidate.Description,
			                                             orderToValidate.TotalAmount, orderToValidate.OrderStatus);

			SearchOrderPageActions.ShowOrderDetails(orderToValidate.OrderName, orderToValidate.Description,
			                                        orderToValidate.TotalAmount, orderToValidate.OrderStatus);
			SearchOrderPageAssertions.AssertOrderInformation(orderToValidate.OrderName, orderToValidate.OrderStatus,
			                                                 orderToValidate.Description, orderToValidate.CustomerName,
			                                                 orderToValidate.Approver, orderToValidate.ShipStreet,
			                                                 orderToValidate.StateInitials, orderToValidate.ShipCity,
			                                                 orderToValidate.ShipZip, orderToValidate.TotalAmount);

			foreach (OrderDetails details in orderToValidate.Details)
			{
				SearchOrderPageAssertions.AssertOrderDetails(details.ProductSKU, details.ProductName, details.UnitPrice,
				                                             details.Quantity);
			}
		}
	}
}