//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Globalization;

namespace OrderManagement.FunctionalTests.UseCaseLayer.Entities
{
	public class Order
	{
		public Order()
		{
		}


		private string customerStartStringField = String.Empty;

		public string CustomerStartString
		{
			get { return customerStartStringField; }
			set { customerStartStringField = value; }
		}


		private String customerNameField = String.Empty;

		public String CustomerName
		{
			get { return customerNameField; }
			set { customerNameField = value; }
		}

		private String descriptionField = String.Empty;

		public String Description
		{
			get { return descriptionField; }
			set { descriptionField = value; }
		}

		private String ApproverField = String.Empty;

		public String Approver
		{
			get { return ApproverField; }
			set { ApproverField = value; }
		}

		private String orderNoField = String.Empty;

		public String OrderNo
		{
			get { return orderNoField; }
			set { orderNoField = value; }
		}

		private String orderNameField = String.Empty;

		public String OrderName
		{
			get { return orderNameField; }
			set { orderNameField = value; }
		}

		private String orderStatusField = String.Empty;

		public String OrderStatus
		{
			get { return orderStatusField; }
			set { orderStatusField = value; }
		}


		private String shipStreetField = String.Empty;

		public String ShipStreet
		{
			get { return shipStreetField; }
			set { shipStreetField = value; }
		}

		private String shipCityStartStringField = String.Empty;

		public String ShipCityStartString
		{
			get { return shipCityStartStringField; }
			set { shipCityStartStringField = value; }
		}

		private String shipCityField = String.Empty;

		public String ShipCity
		{
			get { return shipCityField; }
			set { shipCityField = value; }
		}


		private String shipStateField = String.Empty;

		public String ShipState
		{
			get { return shipStateField; }
			set { shipStateField = value; }
		}

		private String stateInitialsField = String.Empty;

		public String StateInitials
		{
			get { return stateInitialsField; }
			set { stateInitialsField = value; }
		}

		private String shipZipField = String.Empty;

		public String ShipZip
		{
			get { return shipZipField; }
			set { shipZipField = value; }
		}


		private String shipZipStartStringField = String.Empty;

		public String ShipZipStartString
		{
			get { return shipZipStartStringField; }
			set { shipZipStartStringField = value; }
		}


		private String totalAmountField = null;

		public String TotalAmount
		{
			get
			{
				decimal total = 0;
				foreach (OrderDetails detail in _orderDetails)
				{
					total += detail.GetLineTotal();
				}
				totalAmountField = total.ToString(CultureInfo.CurrentCulture);
				return totalAmountField;
			}

			set { totalAmountField = value; }
		}


		private List<OrderDetails> _orderDetails = new List<OrderDetails>();

		/// <summary>
		/// Contains the order details. 
		/// </summary>
		public List<OrderDetails> Details
		{
			get { return _orderDetails; }
			set { _orderDetails = value; }
		}
	}
}