//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Globalization;

namespace OrderManagement.FunctionalTests.UseCaseLayer.Entities
{
	public class OrderDetails
	{
		public OrderDetails()
		{
		}

		public OrderDetails(String orderNo, String productSKU, String productName, String searchString, String quantity,
		                    String unitPrice)
		{
			orderNoField = orderNo;
			productSKUField = productSKU;
			productNameField = productName;
			quantityField = quantity;
			unitPriceField = unitPrice;
			productSearchStringField = searchString;
		}

		private String orderNoField;

		public String OrderNo
		{
			get { return orderNoField; }
			set { orderNoField = value; }
		}

		private String productSKUField;

		public String ProductSKU
		{
			get { return productSKUField; }
			set { productSKUField = value; }
		}

		private String productNameField;

		public String ProductName
		{
			get { return productNameField; }
			set { productNameField = value; }
		}

		private String productSearchStringField;

		public String ProductSearchString
		{
			get { return productSearchStringField; }
			set { productSearchStringField = value; }
		}


		private String quantityField;

		public String Quantity
		{
			get { return quantityField; }
			set { quantityField = value; }
		}

		private String unitPriceField;

		public String UnitPrice
		{
			get { return unitPriceField; }
			set { unitPriceField = value; }
		}


		public decimal GetLineTotal()
		{
			return
				Convert.ToDecimal(quantityField, CultureInfo.CurrentUICulture)*
				Convert.ToDecimal(unitPriceField, CultureInfo.CurrentUICulture);
		}
	}
}