//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Globalization;
using Orders.PresentationEntities;
using OrdersRepository.BusinessEntities;
using OrderManagement.Orders.Properties;

namespace OrderManagement.Orders.Converters
{
    public class EmployeeConverter: IBusinessPresentationConverter<Employee,EmployeeDisplay>
    {
        public EmployeeDisplay ConvertBusinessToPresentation(Employee businessEntity)
        {
            if (businessEntity == null)
            {
                return null;
            }
            return new EmployeeDisplay(businessEntity.EmployeeId, string.Format(CultureInfo.CurrentUICulture, "{0}, {1}", businessEntity.LastName, businessEntity.FirstName));
        }

        public Employee ConvertPresentationToBusiness(EmployeeDisplay presentationEntity)
        {
            throw new NotImplementedException(Resources.NotImplementedExceptionMessage);
        }
    }
}
