//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using Orders.PresentationEntities;
using OrdersRepository.BusinessEntities;

namespace OrderManagement.Orders.Views
{
    public interface IOrderInformation
    {
        void ShowOrderNumber(string orderNumber);
        string OrderName { get; set; }
        string Approver { get; set; }
        string CustomerName { get; set; }
        string Address { get; set; }
        string City { get; set; }
        string State { get; set; }
        string PostalCode { get; set; }
        string Description { get; set; }

        void LoadApproversList(IList<EmployeeDisplay> approvers);
        void LoadStatesList(IEnumerable<State> states);
    }
}




