//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using Orders.PresentationEntities;
using OrdersRepository.BusinessEntities;

namespace OrderManagement.Orders.Views
{
    public interface ISearchOrders
    {
        void ShowOrders(ICollection<OrderInfo> orders);
        void HidePagesPanel();

        void ShowSearchText(string searchText);
        void ShowPagesCounters();
        void ShowOrderDetails(Order order);
        void ShowCurrentPage(int currentPage);

        int TotalOrdersCount { set; get;}
        int MaximumRowsPerPage { get; }
        int PageCount { get; }
    }
}




