//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Data;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.ComponentModel;
using OrdersRepository.Interfaces.Services;
using Microsoft.Practices.CompositeWeb;
using System.Web.Script.Services;
using OrdersRepository.BusinessEntities;

namespace WebApplication.Orders
{
    /// <summary>
    /// Summary description for ProductServiceProxy
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ScriptService]
    public class ProductServiceProxy : WebService
    {
        IProductService _productService;

        [ServiceDependency]
        public IProductService ProductService
        {
            set { _productService = value; }
            get { return _productService; }
        }

        public ProductServiceProxy()
        {
            WebClientApplication.BuildItemWithCurrentContext(this);
        }

        [WebMethod]
        [ScriptMethod]
        public Product GetProduct(string sku)
        {
            return _productService.GetProductBySku(sku);
        }

    }
}
