//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.Collections.Generic;
using OrdersRepository.BusinessEntities;

namespace OrdersRepository.Interfaces.Services
{
    public interface IOrdersService
    {
		void SaveAsDraft(Order order);
        Order GetOrderWithDetails(int orderId);
        void SubmitOrder(Order order);
        IList<Order> GetOrdersForApprover(string employeeId);
		IList<Order> GetSavedDraftOrders(string employeeId);

		void ApproveOrder(int orderId);
		void RejectOrder(int orderId);
		void DeleteOrder(int orderId);
        ICollection<Order> SearchOrders(string searchText);

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1021:AvoidOutParameters", MessageId = "3#")]
        ICollection<Order> SearchOrders(string searchText, int startOrderIndex, int maximumOrdersCount, out int ordersTotalCount);
    }
}
