//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System.IO;
using System.Reflection;
using OrdersRepository.BusinessEntities;

namespace OrdersRepository.Services {


	partial class PostalInfoLookupDataSet
	{
		public State StatesRowToState(StatesRow row)
		{
			State state = new State(row.Id, row.Name);
			return state;
		}

		public ZipCode ZipRowToZipCode(ZipRow row)
		{
			ZipCode zip = new ZipCode(row.ZipCode);
			return zip;
		}

		public static PostalInfoLookupDataSet CreateLoaded()
		{
			PostalInfoLookupDataSet ds = new PostalInfoLookupDataSet();

			Assembly currentAssembly = Assembly.GetExecutingAssembly();
			using(Stream dataStream = currentAssembly.GetManifestResourceStream("OrdersRepository.Services.postalData.xml"))
			{
				ds.ReadXml(dataStream);
			}
			return ds;
		}
	}
}
