//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace OrdersRepository.BusinessEntities.Tests
{
    [TestClass]
    public class OrderFixture
    {
        [TestMethod]
        public void GetOrderTotalCalculatesTotal()
        {
            Order order = new Order();
            OrderDetail line1 = new OrderDetail(1, 1, 2, 2.35m);
            OrderDetail line2 = new OrderDetail(1, 1, 1, 1.09m);
            order.Details.Add(line1);
            order.Details.Add(line2);

            decimal total = order.OrderTotal;

            Assert.AreEqual((decimal)(line1.LineTotal + line2.LineTotal), total);
        }
    }
}
