//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using OrdersRepository.Interfaces.Services;
using OrdersRepository.BusinessEntities;

namespace OrdersRepository.Services.Tests.Fakes
{
	public class FakeProductService : IProductService
	{
		public List<Product> Products = new List<Product>();

		public Product GetProductBySku(string productSku)
		{
			throw new Exception("The method or operation is not implemented.");
		}

		public Product GetProductById(int productId)
		{
			return Products.Find(delegate(Product p) { return p.ProductId == productId; });
		}

		public IList<Product> SearchProducts(string searchText)
		{
			throw new Exception("The method or operation is not implemented.");
		}
	}
}
