//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Collections.Generic;
using System.Text;
using RealTimeSearchQuickstart.FunctionalTests.Pages;
using System.Threading;

namespace RealTimeSearchQuickstart.FunctionalTests.Actions
{
    /// <summary>
    /// The actions that can be performed on the search customer page.
    /// </summary>
	public class SearchCustomerPageActions
	{
        //public static void NavigateToDefaultSitePage()
        //{
        //    DefaultPage page = new DefaultPage();
        //    page.Navigate();
        //    Thread.Sleep(500);
        //}

        private static SearchCustomerPage page;

        public static SearchCustomerPage TargetPage
        {
            get { return page; }
            set
            {
                page = value;
                page.ValidateLocation();
            }
        }


        public static void SetCompanyName(string companyName)
        {
            page.CompanyNameBox.TypeText(companyName);
        }

        public static void SetCity(string city)
        {
            page.CityBox.TypeText(city);
        }

        public static void SelectState(string state)
        {
            if (!String.IsNullOrEmpty(state))
            {
                page.StateList.Select(state);
            }
            else
            {
                page.StateList.SelectByValue("");
            }
        }

        public static void SetPostalCode(string postalCode)
        {
            page.ZipCodeBox.TypeText(postalCode);
        }

        public static void ClickSearchButton()
        {
            page.SearchButton.Click();
        }

        public static void GoToNextPageOfSearchResults()
        {
            Thread.Sleep(TestInfrastructure.DefaultTimeout);
            page.ResultsGrid.Initialize();
            page.ResultsGrid.NextPageLink.Click();
            Thread.Sleep(TestInfrastructure.DefaultTimeout);
            page.ResultsGrid.Initialize();
        }

        public static void GoToFirstPageOfSearchResults()
        {
            Thread.Sleep(TestInfrastructure.DefaultTimeout);
            page.ResultsGrid.Initialize();
            page.ResultsGrid.FirstPageLink.Click();            
        }


        public static void GoToPreviousPageOfSearchResults()
        {
            Thread.Sleep(TestInfrastructure.DefaultTimeout);
            page.ResultsGrid.Initialize();
            page.ResultsGrid.PreviousPageLink.Click();            
        }


        public static void GoToLastPageOfSearchResults()
        {
            Thread.Sleep(TestInfrastructure.DefaultTimeout);
            page.ResultsGrid.Initialize();
            page.ResultsGrid.LastPageLink.Click();            
        }

	}
}
