//===============================================================================
// Microsoft patterns & practices
// Web Client Software Factory
//-------------------------------------------------------------------------------
// Copyright (C) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//-------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.ObjectBuilder;
using RealTimeSearchQuickstart.Shell.MasterPages;

public partial class DefaultMaster : Microsoft.Practices.CompositeWeb.Web.UI.MasterPage, IDefaultMasterPage
{
	private DefaultMasterPagePresenter _presenter;

	protected void Page_Load(object sender, EventArgs e)
	{
		if (!this.IsPostBack)
		{
			this._presenter.OnViewInitialized();
		}
		_presenter.OnViewLoaded();
	}

	[CreateNew]
	public DefaultMasterPagePresenter Presenter
	{
		set
		{
            if (value != null)
            {
                this._presenter = value;
                this._presenter.View = this;
            }
		}
        get
        {
            return _presenter;
        }
	}
}
